<template>
  <div id="adviserList">
    <enterprisejb-detail :info="info" :recruitData="recruitData" :liebiaoList="liebiaoList"></enterprisejb-detail>
    <!-- @detailcm="clickDetailcm" -->
  </div>
</template>

<script>
import enterprisejbDetail from '@/components/enterprise/enterprisejb.vue';
import { createNamespacedHelpers, mapGetters } from 'vuex';
const { mapActions: mapSite } = createNamespacedHelpers('site');
const { mapActions: mapRecruit } = createNamespacedHelpers('market');
export default {
  name: 'adviserList',
  props: {},
  components: {
    enterprisejbDetail,
  },
  data: () => ({
    info: {},
    liebiaoList: [{ name: '基本信息' }, { name: '消息管理' }, { name: '我的发布' }, { name: '我的订购' }, { name: '注销账号' }],
    columnName: '',
    recruitData: [],
  }),
  created() {
    this.searchSite();

    this.searchName();
    this.searchInfo();
  },
  computed: {},
  methods: {
    ...mapSite(['showInfo']),
    ...mapRecruit({ columnList: 'query', columnInfo: 'fetch' }),

    // 查询站点信息
    async searchSite() {
      let res = await this.showInfo();
      let object = JSON.parse(JSON.stringify(res.data));
      if (object) {
        this.$set(this, `info`, res.data);
      } else {
        this.$message.error(res.errmsg ? res.errmsg : 'error');
      }
    },
    // 查询科技政务栏目
    async searchColumn({ ...info } = {}) {},

    async searchName() {},

    async searchInfo() {
      let detailId = 13144;

      const res = await this.columnInfo(detailId);
      this.$set(this, `recruitData`, res.data);
    },
  },
};
</script>

<style lang="less" scoped></style>
